Support » Fixing WordPress » DISGRACEFUL Security Problem

  • Hi,

    When a user logs into my site and goes to the profile page if ever a new version of WordPress is out it NOTIFIES THEM HERE!

    What is the POINT of this?

    It will just cause problems – users know instantly you’re running an old version of WordPress.

    Is there ANY way I get get this off IMMEDIATELY before all my users find out my WP installation is old?

Viewing 7 replies - 1 through 7 (of 7 total)
  • Moderator Samuel Wood (Otto)

    (@otto42)

    WordPress.org Admin

    Even if the fact that there is an upgrade is hidden, the version is displayed on the bottom right corner of the page.

    Is there ANY way I get get this off IMMEDIATELY before all my users find out my WP installation is old?

    Do you think your readers are going to throw their hands up in disgust if they know your WP version is out of date? Guess what? They couldn’t care less what version you’re using. HOWEVER — if I were a contributor I wouldn’t be happy because if I’m going to bother to write something I’d like it to be protected with the latest versions updated security.

    Or perhaps you’re using WordPress MU and don’t want your users to know their blogs are at risk because you don’t want to upgrade? If you’re running MU it’s not just a choice to upgrade, it’s a responsibility as far as I’m concerned. Especially if you’re charging. I’d be PISSED if I was paying for a service with a lazy admin who doesn’t want to give me my moneys worth.

    As Michael said… just upgrade!

    Talk about melodramatic…

    Upgrade. You are going to have to do a good amount of work to completely hide the version, and it hardly ever matters. It only matters when there is a decent security issue, and if there is, you are really playing the lottery to not upgrade anyhow.

    Okay perhaps I went over the top. I just don’t want my users having the exact version pushed in there face. What is the point? So they can remind me as well to update?!!

    Already edited out the bottom right bit. Working on this bit now.

    Moderator Ipstenu (Mika Epstein)

    (@ipstenu)

    🏳️‍🌈 Halfelf Rogue & Plugin Review Team Rep

    What is the point? So they can remind me as well to update?!!

    The point is so that everyone knows what version you’re running, so if they have a problem, they can possibly look up why and solve it themselves. In a perfect world.

    View the source of your page. It should say what version you’re running anyway.

    LOL. You serious?

    Say my site is a blog for people interested in football.. you think they’re going to type in the WordPress version name and solve the problem. Most people don’t know what WordPress is.

    I’d rather they e-mail me thanks about any problems.

    The stupidity of that reply is unbelievable.

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘DISGRACEFUL Security Problem’ is closed to new replies.